
function alcadaProporcionalAmplada(imatge, ampladaImatge){

	return((imatge.height * ampladaImatge) / imatge.width);	
} 

function ampladaProporcionalAlcada(imatge, alcadaImatge){
	return((imatge.width * alcadaImatge) / imatge.height);
}

function crearImatgeCercle(imatgeOrigen){
  var imatgeCreada = createImage(imatgeOrigen.width, imatgeOrigen.height);
  imatgeCreada.loadPixels();
  
  var distanciaMinima = min(imatgeOrigen.width, imatgeOrigen.height);

  for (var x = 0; x < imatgeOrigen.width; x++) { 
      for (var y = 0; y < imatgeOrigen.height; y++) {                                        
        var coloret = imatgeOrigen.get(x,y);

        if(puntSobreCercle(x, y, imatgeOrigen.width/2, imatgeOrigen.height/2, distanciaMinima)){
          imatgeCreada.set(x, y, coloret);     
        }else{imatgeCreada.set(x, y, colorFonsLlenc);  }
      }  
  }
  imatgeCreada.updatePixels();
  return imatgeCreada;
}

function crearImatgeSencera(imatgeOrigen){
  var imatgeCreada = createImage(imatgeOrigen.width, imatgeOrigen.height);
  imatgeCreada.loadPixels();
  for (var x = 0; x < imatgeOrigen.width; x++) { 
      for (var y = 0; y < imatgeOrigen.height; y++ ) {                                        
        var coloret = imatgeOrigen.get(x,y);
        imatgeCreada.set(x, y, coloret);     
      }  
  }
  imatgeCreada.updatePixels();
  imatgeAcabada = true;
  return imatgeCreada;
}


function crearImatge(imatgeOrigen){
  imatgeCreada = createImage(imatgeOrigen.width, imatgeOrigen.height);
  imatgeCreada.loadPixels();
  puntX = random(imatgeOrigen.width);
  puntY = random(imatgeOrigen.height);
}

function actualitzarImatge(imatgeOrigen){
  if(comptadorVoltes < numeroMaximVoltes && !sobreImatgeActual){
    frameRate(frA);
    var diferencia = 3;
    var punt;
    var quantitatPunts = 50;
    for (punt = 0; punt < quantitatPunts; punt++) { 
      puntX = puntX + int(random(-diferencia, diferencia));
      while (puntX < 0 || puntX > imatgeOrigen.width-1){puntX = puntX + int(random(-diferencia, diferencia));}
      puntY = puntY + int(random(-diferencia, diferencia));
      while (puntY < 0 || puntY > imatgeOrigen.height-1){puntY = puntY + int(random(-diferencia, diferencia));}

      var coloret = imatgeOrigen.get(puntX,puntY);
      imatgeCreada.set(puntX, puntY, coloret); 
      quantitatPunts =+ 50;
    }
    
    imatgeCreada.updatePixels();
    frameRate(frN);
    comptadorVoltes++;
	
  }
	if(comptadorVoltes >= numeroMaximVoltes){imatgeAcabada = true;}
  return imatgeCreada;
}

